"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var enums_1 = require("../enums");
/**
 * @hidden
 */
var OldPacketHandler = /** @class */ (function () {
    function OldPacketHandler() {
    }
    OldPacketHandler[enums_1.oldIdentifiers.roomPlayerLeft] = function (_conn, _ccc, data) {
        var player = this.room.getPlayer(+data[0]);
        if (player) {
            this.room.removePlayer(+data[0]);
            this.emit("roomPlayerLeave", player);
        }
    };
    OldPacketHandler[enums_1.oldIdentifiers.roomPlayerDie] = function (_conn, _ccc, data) {
        var player = this.room.getPlayer(+data[0]);
        if (player) {
            player.score = +data[2];
            player.isDead = true;
            this.emit("roomPlayerDie", player);
        }
    };
    return OldPacketHandler;
}());
exports.default = OldPacketHandler;
