import Client from "../client";
import Base from "./Base";
/** Represents a chat channel. */
export default class Channel extends Base {
    /**
     * The channel name
     */
    name: string;
    constructor(client: Client, name: string);
    /**
     * Send a message to this channel
     */
    sendMessage(message: string): void;
}
