"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Base_1 = __importDefault(require("./Base"));
/** Represents a tribe rank. */
var Rank = /** @class */ (function (_super) {
    __extends(Rank, _super);
    /**
     * @hidden
     */
    function Rank(client, rank) {
        if (rank === void 0) { rank = {}; }
        var _this = _super.call(this, client) || this;
        Object.assign(_this, rank);
        return _this;
    }
    /**
     * Returns tribe data from a packet
     *
     * @hidden
     */
    Rank.prototype.read = function (packet) {
        this.name = packet.readUTF();
        this.permission = packet.readInt();
        return this;
    };
    return Rank;
}(Base_1.default));
exports.default = Rank;
